Bug 10081 - IndependentBranches error message missing the library name
Summary: IndependentBranches error message missing the library name
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL: /cgi-bin/koha/circ/circulation.pl
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-19 14:40 UTC by Nicole C. Engard
Modified: 2014-12-07 20:02 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
error (14.48 KB, image/png)
2013-04-19 14:40 UTC, Nicole C. Engard
Details
Bug 10081 - IndependentBranches error message missing the library name (2.96 KB, patch)
2013-08-13 16:41 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 10081: add library name to IndependentBranches error message (2.98 KB, patch)
2013-08-14 14:15 UTC, Galen Charlton
Details | Diff | Splinter Review
Bug 10081: add library name to IndependentBranches error message (3.04 KB, patch)
2013-08-20 13:33 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2013-04-19 14:40:10 UTC
Created attachment 17557 [details]
error

See attached. When you have HomeOrHoldingBranch set to home library you get an error when you try to check the item out at another branch - this is good, but the error is missing a library name I think cause it's not a sentence:

"This item belongs to and cannot be issued from this location."

I think it should be :


"This item belongs to HOMEBRANCH and cannot be issued from this location."
Comment 1 Owen Leonard 2013-08-13 16:29:45 UTC
I can't tell what HomeOrHoldingBranch has to do with this bug. I can only trigger the error if IndependentBranches is on and I'm checking out an item from another branch.
Comment 2 Owen Leonard 2013-08-13 16:41:00 UTC Comment hidden (obsolete)
Comment 3 Galen Charlton 2013-08-14 14:15:58 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2013-08-20 13:33:19 UTC
Created attachment 20504 [details] [review]
Bug 10081: add library name to IndependentBranches error message

With IndependentBranches turned on, if you try to check out an item
which belongs to another library you will get an error message which is
missing the library name. This patch corrects the problem by passing the
necessary variable to the template and outputting the library name using
the KohaBranchName TT plugin.

To test, turn on IndependentBranches and try to check out an item
belonging to another library (note that you must test with a staff user
who is not a superlibrarian). The error message you see should include
the name of the library to which the item belongs:

"This item belongs to Nelsonville and cannot be checked out from this
location."

Checkouts of items belonging to the library should be unaffected.

Signed-off-by: Galen Charlton <gmc@esilibrary.com>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Galen Charlton 2013-08-20 14:27:01 UTC
Pushed to master.  Thanks, Owen!
Comment 6 Tomás Cohen Arazi 2013-09-13 14:38:45 UTC
This patch has been pushed to 3.12.x, will be in 3.12.5.

Thanks Owen!
Comment 7 Bernardo Gonzalez Kriegel 2013-09-15 01:43:29 UTC
Pushed to 3.10.x, will be in 3.10.11